/**
 * Theme Name:     Divi Child
 * Author:         Elegant Themes
 * Template:       Divi
 * Text Domain:	   divi-child
 * Description:    Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
 */

html body #wpadminbar{
  display: none !important;
}

html{ margin-top: 0px !important; }
html, body { overflow-x: hidden; }

html body .et_pb_row:not([class*="et_flex_column"]){
  max-width: 1300px;
}

/* ----- */
/* fonts */
  h2{
    font-family: 'Marcellus',Georgia,"Times New Roman",serif;
    font-size: 45px;
    font-style: normal;
    font-weight: 400;
  }
  h3{
    font-family: 'Marcellus',Georgia,"Times New Roman",serif;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
  }
  h5{
    font-family: 'Marcellus',Georgia,"Times New Roman",serif;
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
  }
  h6{
    font-family: 'Jost', sans-serif;
    font-size: 17px;
    font-weight: 400;
  }
  p{
    font-family: 'Jost', sans-serif;
    font-size: 17px;
    font-weight: 400;
  }
  p small{
    font-family: 'Jost', sans-serif;
    font-size: 12px;
  }
  p.cursive{
    font-family: 'La Belle Aurore', cursive;
    font-size: 26px;
    font-weight: 400;
  }

  html body a h3{
    transition: transform 0.3s ease;
  }
    html body a h3:hover{
      color: #B99D75;
    }

  html body p span.cs-subtitle{
    font-family: 'Jost', sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
    color: #53624e;
    text-transform: uppercase !important;
    letter-spacing: 0.1em;
  }

/* end fonts */
/* --------- */

/* ---- */
/* rows */
  html body .row{
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
  }
  html body .col-sm-6{
    padding-left: 15px;
    padding-right: 15px;
  }

  @media( min-width: 576px ){
    html body .col-sm-6{
      -ms-flex: 0 0 50%;
      flex: 0 0 50%;
      max-width: 50%;
    }
  }

  html body .m-b-10{ margin-bottom: 10px; }
  html body .m-b-20{ margin-bottom: 20px; }
  html body .m-b-40{ margin-bottom: 40px; }

/* end rows */
/* -------- */

/* ----- */
/* links */
  html body ._more_info a{
    position: relative;
    display: inline-block;
    color: #666666;
    font-family: 'Jost', sans-serif;
    font-size: 17px;
    font-weight: 400;
    text-decoration: none;
  }
    html body ._more_info a::before{
      font-family: 'ETmodules' !important;
      content: "5";
      position: absolute;
      right: -20px;
      top: 55%;
      transform: translateY(-50%);
      font-size: 14px;
      transition: right .3s ease;
    }
    html body ._more_info a::after{
      content: "";
      position: absolute;
      left: 0;
      bottom: -2px;
      width: 100%;
      height: 1px;
      background: #B99D75;
      transform: scaleX(1);
      transform-origin: left;
      transition: transform .3s ease;
    }

    html body ._more_info a:hover::before{
      right: -25px;
    }
    html body ._more_info a:hover::after{
      transform: scaleX(0);
    }
/* end links */
/* --------- */

/* ----- */
/* icons */
  .cs-room-basic-info {
    margin: 0px;
  }
  .cs-room-basic-info ul {
    margin: 0;
    padding: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    list-style: none;
  }
  .cs-room-basic-info ul li {
    display: flex;
    align-items: center;
    margin: 0px;
    padding-right: 30px;
    line-height: 28px;
  }
  .cs-room-basic-info .csrbi-icon {
    margin-right: 10px;
  }
  .cs-room-basic-info .csrbi-icon i {
    display: flex;
    font-size: 25px;
  }
  .cs-room-basic-info .csrbi-text {
    font-size: 14px;
    font-size: 0.875rem;
    white-space: nowrap;
  }
  sup {
    top: -0.5em;
  }
  sub, sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
  }
/* end icons */
/* --------- */

/* ------ */
/* header */
  html body header{
    position: fixed;
    z-index: 5;
    width: 100vw;
    padding-top: 30px;
    padding-bottom: 30px;
    border-bottom: 1px solid #FFFFFF26;
  }
  html body header .et_pb_section{
    background-color: transparent !important;
  }
  html body header .main-logo,
  html body header .main-logo img
  {
    width: 220px !important;
  }

  html body header .et_pb_menu .et_pb_menu__wrap{
    justify-content: flex-end !important;
  }
  html body header ._main_menu ul li{
    margin-top: 0px !important;
  }
    html body header ._main_menu ul > li > a{
      color: #ffffff;
      text-transform: uppercase;
      font-family: 'Jost', sans-serif;
      font-size: 13px;
      font-weight: 500;
      display: flex;
      align-items: center;
      justify-content: center;
      padding-bottom: 0px !important;
    }
    html body header ul#menu-main li._menu_item_box a{
      border: 1px solid #fff;
      padding: 14px 24px !important;
    }
      html body header ul#menu-main li._menu_item_box a:hover{
        background-color: #ffffff;
        color: #000000;
        opacity: 1;
      }
      html body header ul#menu-main > li:not(._menu_item_box) > a::after{
        content: "";
        position: absolute;
        left: 0;
        bottom: -4px;
        width: 100%;
        height: 2px;
        background: #fff;
        transform: scaleX(0);
        transform-origin: left;
        transition: transform 0.3s ease;
        bottom: 6px;
      }

      html body header ul#menu-main li:not(._menu_item_box) a:hover::after{
        transform: scaleX(1);
      }

    /* submenu */
      html body header ._main_menu ul li ul.sub-menu{
        background-color: #000000 !important;
        border: 0px !important;
      }
      html body header ._main_menu ul li ul.sub-menu li a{
        color: #fff !important;
        text-transform: inherit;
        font-family: 'Jost', sans-serif;
        font-size: 15px;
        font-weight: 500;
        align-items: start !important;
        justify-content: start !important;
        transition: color .3s ease;
      }
        html body header ._main_menu ul li ul.sub-menu li a:hover{
          color: #B99D75 !important;
          opacity: 1 !important;
        }

        html body header ul#menu-main > li.menu-item-has-children{
          padding-right: 5px;
        }

        html body header ul#menu-main > li.menu-item-has-children > a {
          position: relative;
          padding-right: 18px;
        }

        html body header ul#menu-main > li.menu-item-has-children > a::before {
          font-family: 'ETmodules' !important;
          content: "3"; /* flecha hacia abajo */
          position: absolute;
          right: 0;
          top: 50%;
          transform: translateY(-50%);
          font-size: 14px;
        }


    /* end submenu */

    html body header.not-top ul#menu-main li._menu_item_box a{
      border: 1px solid #53624e !important;
      background-color: #53624e !important;
      color: #ffffff !important;
    }
      html body header.not-top ul#menu-main li._menu_item_box a:hover{
        border: 1px solid #b99d75 !important;
        background-color: #b99d75 !important;
        color: #ffffff !important;
      }

  .et_pb_menu_0_tb_header .mobile_nav .mobile_menu_bar::before{
    color: #ffffff !important;
  }

  /* header top */
    html body header.not-top{
      background-color: #ffffff !important;
      border-bottom: 1px solid #e0e1df !important;
    }
    html body header.not-top ._main_menu ul li a{
       color: #333333;
    }
    html body header.not-top .main-logo img{
      /* content:url("/wp-content/uploads/2026/03/hotelkaan-logo-2.webp"); */
      content:url("/wp-content/uploads/2026/03/hotelkaan-logo-color.svg");
    }
    html body header.not-top .mobile_menu_button::before
    {
      color: #b79e72 !important;
    }
    html body header.not-top .mobile_menu_close_button::before{
      color: #b79e72 !important;
    }
  /* header top */

  @media( max-width: 1189px ){

    html body header ul > li{
      height: 44px !important;
    }

    html body header ul#menu-main li._menu_item_box{
      display: none !important;
    }

  }

  @media( max-width:980px ){

    html body header .et_pb_row_0_tb_header{
      width: 100% !important;
      padding-left: 30px !important;
      padding-right: 30px !important;
    }

  }

  @media( max-width:767px ){

    html body header .et_pb_column_0_tb_header,
    html body header .et_pb_column_1_tb_header
    {
      width: 47% !important;
    }

  }

  /* menu mobile */

    html body .mobile_menu_button{
      /* display: none; */
    }

    html body ._mobile_menu_out{
      display: none;
    }

    html body ._mobile_menu{
      display: none;
      background:#fff;
      position:fixed;
      top:0;
      right:0;
      width:350px;
      height:100vh;
      /* estado inicial (fuera de pantalla) */
      transform:translateX(100%);
      transition:transform .35s ease;
      z-index:9999;
      padding: 60px 30px 30px 30px;
    }
      html body ._mobile_menu ul{
        list-style: none;
      }
        html body ._mobile_menu ul li a{
          font-family: 'Marcellus', serif;
          font-size: 24px;
          font-weight: 400;
          color: #000000;
          transition: color .3s ease;
        }
          html body ._mobile_menu ul li a:hover{
            color: #b99d75;
          }
      html body ._mobile_menu .contact_info{
        position: absolute;
        bottom: 30px;
      }
        html body ._mobile_menu .contact_info h4{
          font-family: 'Marcellus', serif;
          font-size: 21px;
          font-style: normal;
          font-weight: 400;
          padding-bottom: 20px !important;
          color: #000000;
        }
        html body ._mobile_menu .contact_info p{
          font-family: 'Jost', sans-serif;
          font-size: 16px;
          font-weight: 400;
        }
          html body ._mobile_menu .contact_info p a{
            color: #000000;
          }
            html body ._mobile_menu .contact_info p a .icon{
              width: 25px !important;
              display: inline-block;
            }

    /* max-width:980px */
    @media( max-width:980px ){

      html body ._mobile_menu_out{
        display: table;
      }

      html body ._mobile_menu{
        display: table;
      }

      html body ._mobile_menu.active{
        /* entra desde la derecha */
        transform:translateX(0);
      }

      html body .mobile_menu_close_button::before{
        color: #000000 !important;
        font-family: 'ETmodules' !important;
        content: "\4d";
        position: absolute;
        top: 30px;
        right: 30px;
        font-size: 32px;
        cursor: pointer;
      }

      html body ._main_menu{
        display: none !important;
      }

      html body .mobile_menu_bar{
        display: none;
      }

      html body .mobile_menu_button{
        font-size: 32px;
        /* display: table; */
        float: right;
      }
        html body .mobile_menu_button::before{
          color: #ffffff;
          font-family: 'ETmodules' !important;
          content: "a";
          font-style: normal;
          font-weight: 400;
          cursor: pointer;
        }

    }
    /* end max-width:980px */

    /* max-width:500px */
    @media( max-width:500px ){

      html body ._mobile_menu{
        width: 100% !important;
      }

    }
    /* end max-width:500px */

  /* end menu mobile */

/* end header */
/* ---------- */

/* ------ */
/* footer */
  html body ._footer{
    /* background-image: linear-gradient(rgba(0,0,0,0.45), rgba(0,0,0,0.45)), url("https://sandbox.hotelkaan.mx/wp-content/uploads/2026/03/img-80-2.jpg") !important; */
  }

    html body ._footer h3{
      color: #ffffff !important;
      font-family: 'Marcellus',Georgia,"Times New Roman",serif;
      font-size: 32px;
      font-style: normal;
      font-weight: 400;
    }
    html body ._footer p{
      color: #ffffff !important;
      font-family: 'Jost', sans-serif;
      font-size: 15px;
      font-weight: 400;
      padding-bottom: 5px;
    }
      html body ._footer p a{
        color: #ffffff;
        text-decoration: none;
        transition: color .3s ease;
      }
        html body ._footer p a:hover{
          color: #b99d75 !important;
        }
  html body ._footer_bottom{
    row-gap: 0px !important;
  }
    html body ._footer_bottom p{
      color: #ffffff !important;
      font-family: 'Jost', sans-serif;
      font-size: 15px;
      font-weight: 400;
      padding-bottom: 0px;
    }
      html body ._footer_bottom p a{
        color: #ffffff !important;
      }
        html body ._footer_bottom p a:hover{
          text-decoration: underline;
        }

    html body ._footer_bottom p small{
      color: #B99D75;
      font-size: 12px;
    }

    html body ._footer_bottom ul{
      list-style:none;
      display:flex;
      justify-content:flex-end;
      gap:20px;
      padding:0;
      margin:0;
    }
      html body ._footer_bottom ul li{
        display:inline-block;
      }
        html body ._footer_bottom ul li a{
          text-transform: uppercase;
          color: #ffffff !important;
          font-family: 'Jost', sans-serif;
          font-size: 14px;
          font-weight: 400;
          transition: color .3s ease;
        }
          html body ._footer_bottom ul li a:hover{
            color: #b99d75 !important;
          }

  html body ._footer_bottom .footer_social{
    display: flex;
    gap: 15px;
    align-items: center;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
  }

  html body ._footer_bottom .footer_social a {
    text-decoration: none;
    font-size: 16px;
    color: #fff;
  }
    html body ._footer_bottom .footer_social a:hover i{
      color:#B99D75;
    }

  html body ._footer_bottom ._footer_bottom_info{
    column-gap: 0px !important;
  }

  html body ._footer_bottom ._footer_bottom_info .et_pb_column{
    width: 25%;
    border-top: 1px solid #232323;
    border-bottom: 1px solid #232323;
    border-right: 1px solid #232323;
    padding-top: 30px;
    padding-bottom: 30px;
  }
    html body ._footer_bottom ._footer_bottom_info .et_pb_column:last-child{
      border-right: 0px;
    }

  html body ._footer_bottom_2 p{
    font-size: 14px;
  }

  @media( max-width: 980px ){

    html body ._footer_bottom .et_pb_row{
      display: table !important;
    }

    html body ._footer_bottom .et_pb_column{
      width: calc(100% - var(--horizontal-gap-parent, 5.5%)*0.66667) !important;
      min-width: 100% !important;
    }

    html body ._footer_bottom ul{
      justify-content: center !important;
    }

    html body ._footer_bottom ._text_reg{
      text-align: center !important;
      margin-bottom: 20px;
    }

  }

  @media( max-width: 767px ){

    html body ._footer .et_pb_column:nth-child(1){
      width: calc(100% - var(--horizontal-gap-parent, 5.5%)*0.66667);
    }
    html body ._footer .et_pb_column:nth-child(2){
      width: calc(100% - var(--horizontal-gap-parent, 5.5%)*0.66667);
    }
    html body ._footer .et_pb_column:nth-child(3){
      width: calc(100% - var(--horizontal-gap-parent, 5.5%)*0.66667);
    }

  }
/* end footer */
/* ---------- */

/* ---------------- */
/* form news letter */
  html body #form_newsletter input[type="email"]{
    background: transparent;
    border: 0px;
    border-bottom: 1px solid #fff;
    border-radius: 0px;
    font-family: 'Jost', sans-serif;
    font-size: 17px;
    font-weight: 400;
    color: #fff;
    padding-left: 0px;
  }
    html body #form_newsletter input[type="email"]::placeholder{
      font-family: 'Jost', sans-serif;
      font-size: 17px;
      font-weight: 400;
      color: #fff;
    }
    html body #form_newsletter input[type="email"]:focus{
      box-shadow: none !important;
    }

  html body #form_newsletter label{
    font-family: 'Jost', sans-serif;
    font-size: 17px;
    font-weight: 400;
    color: #ffffff;
  }

  html body #form_newsletter .btn_subscribe{
    position: absolute;
    right: 0px;
    top: 0px;
  }
    html body #form_newsletter .btn_subscribe .frm_button_submit{
      background: transparent;
      border: 0px;
      box-shadow: none !important;
      margin: 0px;
      font-family: 'Jost', sans-serif;
      font-size: 17px;
      font-weight: 400;
      color: #fff;
    }
      html body #form_newsletter .btn_subscribe .frm_button_submit::after{
        display: inline-block;
        font: normal normal normal 14px/1 "Font Awesome 5 Free";
        font-size: inherit;
        text-rendering: auto;
        line-height: inherit;
        content: "\f1d8";
        font-weight: 400;
        margin-left: 12px;
      }
  html body #form_newsletter label a{
    color: #B99D75;
  }
  html body #form_newsletter label a:hover{
    text-decoration: underline;
  }
/* end form newsletter */
/* ------------------- */

/* ----------- */
/* home slider */
  html body ._slider .et_pb_container{
    height: 100vh;
    width: 100vw;
    left: 0px !important;
    position: absolute;
    top: 0px;
    background: linear-gradient( 180deg, rgba(0,0,1,0.25) 0%, rgba(0,0,1,0.1) 100% );
  }
/* end home slider */
/* --------------- */

/* ---------------- */
/* home_imgs_cols_3 */

  html body #home_imgs_cols_3_bg{
    background-image:
    linear-gradient(rgba(0,0,0,0.3), rgba(0,0,0,0.3)),
    url("https://sandbox.hotelkaan.mx/wp-content/uploads/2026/03/home2.webp") !important;
    background-size: cover;
    background-position: center;
    height: 80vh !important;
  }

  html body #home_imgs_cols_3{
    background: transparent !important;
    margin-top: -420px !important;
  }

  html body #home_imgs_cols_3 .et_pb_row .et_pb_column:nth-child(2){
    padding-top: 40px;
  }

  html body #home_imgs_cols_3 img::before{
    border: 1px solid #B99D75;
  }
  html body #home_imgs_cols_3 img::after{
    border: 1px solid #B99D75;
  }

  /* Contenedor padre (permite que el borde salga) */
  html body #home_imgs_cols_3 .et_pb_image {
    position: relative;
  }

  /* Contenedor de la imagen (recorta el zoom) */
  html body #home_imgs_cols_3 .et_pb_image_wrap {
    overflow: hidden;
    position: relative;
    cursor: pointer;
  }

  /* Imagen */
  html body #home_imgs_cols_3 .et_pb_image_wrap img {
    display: block;
    transition: transform 0.4s ease;
  }

  /* Zoom */
  html body #home_imgs_cols_3 .et_pb_image:hover .et_pb_image_wrap img {
    transform: scale(1.08);
  }

  /* Borde (en el padre, no en el wrap) */
  html body #home_imgs_cols_3 .et_pb_image::after {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    right: 10px;
    bottom: 10px;
    border: 1px solid #B99D75;
    transition: all 0.3s ease;
    pointer-events: none;
  }

  /* Animación del borde */
  html body #home_imgs_cols_3 .et_pb_image:hover::after {
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
  }

/* end home_imgs_cols_3 */
/* -------------------- */

/* ----------- */
/* room slider */
  html body ._room_slider .et_pb_container{
    height: 70vh;
    width: 70vw;
    width: 100%;
    left: 0px !important;
    position: absolute;
    top: 0px;
    background: linear-gradient( 180deg, rgba(0,0,1,0.8) 0%, rgba(0,0,1,0.3) 15%, rgba(0,0,1,0) 25% );
  }
/* end room slider */
/* --------------- */

html body .et_block_row{
  padding-top: 0px !important;
}

/* ------------- */
/* box with icon */
  html body ._box_icon_text{
    display:flex;
    align-items:stretch;
  }
  html body ._box_icon_text_icon{
    width:20%;
    display:flex;
    align-items:flex-start;
    justify-content:flex-start;
  }
    html body ._box_icon_text_icon i{
      color: #B99D75;
      font-size: 42px;
    }
  html body ._box_icon_text_text{
    width: 80%;
  }
    html body ._box_icon_text_text h4{
      color: #ffffff;
      font-family: 'Marcellus',Georgia,"Times New Roman",serif;
      font-size: 24px;
      font-style: normal;
      font-weight: 400;
    }
    html body ._box_icon_text_text p{
      color: #ffffff;
      font-family: 'Jost', sans-serif;
      font-size: 17px;
      font-weight: 400;
    }
/* end box with icon */
/* ----------------- */

/* ----- */
/* boxes */
  html body ._white_box{
    background-color: #ffffff;
    padding: 25px;
    border-radius: 0px;
  }

    html body ._white_box ._box_icon_text_icon{
      width: 22% !important;
    }

    html body ._white_box ._box_icon_text_text{
      width: 78% !important;
    }

    html body ._white_box h4{
      color: #333333 !important;
      font-size: 22px !important;
    }
    html body ._white_box p{
      color: #333333 !important;
      font-size: 16px !important;
      font-weight: 400 !important;
    }
/* end boxes */
/* --------- */

/* ----- */
/* icons */
  html body ._icon_size_all{
    font-size: 42px;
  }
/* end icons */
/* --------- */

/* ---------------- */
/* image hover zoom */
  .img-zoom .et_pb_image_wrap{
    overflow: hidden;
  }
    .img-zoom .et_pb_image_wrap img{
      display: block;
      width: 100%;
      transition: transform .4s ease;
    }
    .img-zoom .et_pb_image_wrap:hover img{
      transform: scale(1.1);
    }
/* end image hover zoom */
/* -------------------- */

/* ------------ */
/* kaan-gallery */
  .kaan-gallery .gallery-item{
    padding:0 8px;
  }

  .kaan-gallery img{
    width:100%;
    height:auto;
    display:block;
    border-radius:0px;
  }

  .kaan-gallery .slick-list{
    overflow: visible;
  }

  .kaan-gallery{
    margin: 0 -60px;
  }

  .slick-arrow.slick-disabled{
    opacity: .3;
    pointer-events:none;
  }

  .slick-prev, .slick-next{
    background: #ffffff;
    color: #000;
    padding: 30px;
    border-radius: 50%;
    display:flex;
    align-items:center;
    justify-content:center;
    z-index: 1;
  }
    .slick-prev i, .slick-next i{
      font-size: 15px;
      color: #000000;
    }
    .slick-prev:hover, .slick-next:hover,
    .slick-prev:focus .slick-next:focus{
      background-color: rgba(255,255,255,.75) !important;
      color: #000;
    }
    .slick-prev:before,
    .slick-next:before{
      position:relative;
      top:0;
      left:0;
      color: #000;
      content: normal !important;
    }

/* end kaan-gallery */
/* ---------------- */

/* ------------------ */
/* kaan_rooms_gallery */
  .kaan_rooms_gallery .et_pb_image{
    margin-bottom: 20px !important;
  }
  .kaan_rooms_gallery .et_pb_text,
  .kaan_rooms_gallery .et_pb_code
  {
    margin-bottom: 30px !important;
  }
  .kaan_rooms_gallery ._more_info ._more_info{
    max-width: fit-content !important;
    white-space: nowrap !important;
  }
/* end kaan_rooms_gallery */
/* ---------------------- */

/* -------------- */
/* room amenities */
  .cs-info-box-wrap{
    display:grid;
    grid-template-columns: repeat(2, 1fr);
    gap:20px;
  }
  .cs-info-box-item .cs-item-container{
    display:flex;
    align-items:center;
    gap:12px;
  }
  .cs-info-box-img i{
    color: #B99D75;
    font-size: 30px;
  }
  html body .room-list{
    list-style: none !important;
    padding: 0px !important;
  }
    html body .room-list li{
      align-items: flex-start;
      padding-bottom: 7px;
    }
      html body .room-list li p{
        font-family: 'Jost', sans-serif;
        font-size: 17px;
        font-weight: 400;
        color: #333333;
      }
      html body .room-list li .list-icon{
        color: #b99d75;
        font-size: 6px;
        margin-right: 10px;
      }
/* end room amenitires */
/* ------------------- */
